string texname1 = "weather\\mask-def.png";
texture tex1;
string texname2 = "weather\\sand.png";
texture tex2;

static const float tscale=4;
int tickcount;
float multi;
float speed;

sampler s0;
sampler s1 = sampler_state {
	texture = <tex1>;
};
sampler s2 = sampler_state {
	texture = <tex2>;
	addressu=wrap;
	addressv=wrap;
};

float4 ps_p0(float2 tex : TEXCOORD0) : COLOR0
{
	float3 r1=tex2D(s0, tex);

	float tick=tickcount%1000000;
	float offset=(float)tick/speed;
	float2 y={0.32, 0.15};
	float mult=sin((float)tick/1000000*2*3.14159);
	mult=sign(mult)*max(abs(mult),0.01);
	y.x*=mult;
	y*=offset*0.05;
	//y.x*=-2*(speed%2)+1;

	float3 r2=tex2D(s2, tex*tscale-y)*tex2D(s1, tex)*multi;
//	float alpha=0.4;//r2.g;
	r1=r1*0.8 + r2*0.6;
//	r1=r1*(1-alpha) + r2*alpha;
	return float4(saturate(r1), 1);
}


technique T0
{
	pass P0 { PixelShader = compile ps_2_0 ps_p0(); }
}